#include <bits/stdc++.h>

using namespace std;

int main(){
   int broj1, broj2;
   vector<int> rezultat;
   
   cin>>broj1;
   cin>>broj2;
   
   while (broj1>0 || broj2 >0){
       int cifra1=broj1 % 10;
       int cifra2=broj2 % 10;
       
       if (cifra1==cifra2){
           rezultat.push_back(cifra1);
           rezultat.push_back(cifra2);
       }
       else if (cifra1>cifra2){
           rezultat.push_back(cifra1);
       }
       else if (cifra2>0){
           rezultat.push_back(cifra2);
       }
       broj1/=10;
       broj2/=10;
   }
   for (vector<int>::reverse_iterator i=rezultat.rbegin(); i!=rezultat.rend(); i++)
   cout<<*i;
   cout<<"\n";
    return 0;
}